Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2781483006: cc : Compute render surface is_clipped outside property tree building (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 4 weeks ago by jaydasika
Modified:
5 months, 3 weeks ago
Reviewers:
weiliangc
CC:
ajuma, cc-bugs_chromium.org, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cc : Compute render surface is_clipped outside property tree building * Compute render surface is_clipped while computing draw properties. This is computed by determining if there is any contributing layer that escapes clip. * Delete PreCalculateMetaInformation layer tree walk * Delete has_unclipped_descendants and surface_is_clipped from effect node * Calculate NumDescendantsThatDrawContent dynamically for tests that build layer tree on impl * Delete num_descendants_that_draw_content and num_unclipped_descendants from LayerImplTestProperties BUG=702010 CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2781483006 Cr-Commit-Position: refs/heads/master@{#461917} Committed: https://chromium.googlesource.com/chromium/src/+/1553a14bd799b2dd09bebeeeda934379318eaf7e

Patch Set 1 #

Patch Set 2 : . #

Patch Set 3 : . #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+171 lines, -305 lines) Patch
M cc/layers/layer.cc View 1 1 chunk +0 lines, -2 lines 0 comments Download
M cc/layers/layer_impl_test_properties.h View 1 1 chunk +0 lines, -2 lines 0 comments Download
M cc/layers/layer_impl_test_properties.cc View 1 1 chunk +0 lines, -2 lines 0 comments Download
M cc/layers/render_surface_impl.h View 2 chunks +10 lines, -0 lines 0 comments Download
M cc/layers/render_surface_impl.cc View 1 chunk +1 line, -0 lines 0 comments Download
M cc/test/fake_layer_tree_host_impl.h View 1 1 chunk +0 lines, -1 line 0 comments Download
M cc/test/fake_layer_tree_host_impl.cc View 1 1 chunk +0 lines, -12 lines 0 comments Download
M cc/trees/damage_tracker_unittest.cc View 1 1 chunk +0 lines, -1 line 0 comments Download
M cc/trees/draw_property_utils.cc View 1 2 5 chunks +72 lines, -17 lines 5 comments Download
M cc/trees/effect_node.h View 2 chunks +0 lines, -8 lines 0 comments Download
M cc/trees/effect_node.cc View 4 chunks +0 lines, -4 lines 0 comments Download
M cc/trees/layer_tree_host.h View 1 2 chunks +0 lines, -7 lines 0 comments Download
M cc/trees/layer_tree_host.cc View 1 4 chunks +0 lines, -8 lines 0 comments Download
M cc/trees/layer_tree_host_common.cc View 1 chunk +0 lines, -2 lines 0 comments Download
M cc/trees/layer_tree_host_common_unittest.cc View 1 2 22 chunks +71 lines, -61 lines 0 comments Download
M cc/trees/layer_tree_host_impl_unittest.cc View 1 2 chunks +0 lines, -4 lines 0 comments Download
M cc/trees/layer_tree_impl.cc View 1 chunk +0 lines, -1 line 0 comments Download
M cc/trees/occlusion_tracker_unittest.cc View 1 1 chunk +0 lines, -2 lines 0 comments Download
M cc/trees/property_tree_builder.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M cc/trees/property_tree_builder.cc View 1 2 9 chunks +17 lines, -167 lines 0 comments Download
Trybot results:  linux_android_rel_ng   win_clang   linux_trusty_blink_rel   mac_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   ios-simulator   ios-simulator-xcode-clang   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_compile_dbg   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_android_rel_ng   win_chromium_rel_ng   win_chromium_x64_rel_ng   linux_trusty_blink_rel   win_clang   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   linux_android_rel_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 22 (11 generated)
jaydasika
PTAL
5 months, 4 weeks ago (2017-03-28 23:05:56 UTC) #7
jaydasika
This CL changes when we do render surface clipping. Before this CL, if we had ...
5 months, 4 weeks ago (2017-03-28 23:15:48 UTC) #8
jaydasika
ping
5 months, 3 weeks ago (2017-03-30 16:24:14 UTC) #11
weiliangc
So for the clip escaping logic, I have some thoughts about overall design. In my ...
5 months, 3 weeks ago (2017-03-30 19:02:17 UTC) #12
jaydasika
Right now the dependency is : is_clipped -> clip_rect -> content_rect. So, clip_rect is determined ...
5 months, 3 weeks ago (2017-03-30 20:20:54 UTC) #13
weiliangc
On 2017/03/30 at 20:20:54, jaydasika wrote: > Right now the dependency is : is_clipped -> ...
5 months, 3 weeks ago (2017-03-30 21:01:48 UTC) #14
weiliangc
Talked w/ jaydasika@, then change to is_clipped logic will be pushed to another CL. As ...
5 months, 3 weeks ago (2017-04-03 18:52:14 UTC) #15
jaydasika
https://codereview.chromium.org/2781483006/diff/40001/cc/trees/draw_property_utils.cc File cc/trees/draw_property_utils.cc (right): https://codereview.chromium.org/2781483006/diff/40001/cc/trees/draw_property_utils.cc#newcode562 cc/trees/draw_property_utils.cc:562: is_clipped = false; On 2017/03/30 19:02:17, weiliangc wrote: > ...
5 months, 3 weeks ago (2017-04-03 19:06:31 UTC) #16
weiliangc
Thanks for doing this. Awesome clean up. LGTM https://codereview.chromium.org/2781483006/diff/40001/cc/trees/draw_property_utils.cc File cc/trees/draw_property_utils.cc (right): https://codereview.chromium.org/2781483006/diff/40001/cc/trees/draw_property_utils.cc#newcode567 cc/trees/draw_property_utils.cc:567: is_clipped ...
5 months, 3 weeks ago (2017-04-04 20:56:38 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2781483006/40001
5 months, 3 weeks ago (2017-04-04 21:21:15 UTC) #19
commit-bot: I haz the power
5 months, 3 weeks ago (2017-04-05 00:38:58 UTC) #22
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/1553a14bd799b2dd09bebeeeda93...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b